﻿
using System;
namespace HeuristicLab.DataPreprocessing {
  public interface IDatasetStatisticInfo {

    int GetColumnCount();
    int GetRowCount();
    int GetNumericColumnCount();
    int GetNominalColumnCount();
    int GetMissingValueCount();
    int GetMissingValueCount(int columnNumber);
    T GetMin<T>(int columnNumber) where T : IComparable<T>;
    T GetMax<T>(int columnNumber) where T : IComparable<T>;
    double GetMedian(int columnNumber);
    double GetAverage(int columnNumber);
    double GetMostCommonValue(int columnNumber);
    double GeStandardDeviation(int columnNumber);
  }
}
